.boxdbshadow {
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28) !important;
}

.boxdbshadowy {
    box-shadow: 0 -9px 9px 0 rgba(0, 0, 0, 0.301),
        0 6px 20px 0 rgba(0, 0, 0, 0.19) !important;
}

.boxdtext {
    text-shadow: 1px 1px 2px #111 !important;
}

.bg-hover:hover,
.bg-hover:focus,
.bg-hover:active,
.bg-hover:target {
    opacity: 0.45 !important;
}



@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');

html,
body {
    margin: 0;
    width: 100%;
    height: 100%;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 120%;
}

* {
    font-family: "Hammersmith One", sans-serif;
}

#loader {
    position: absolute;
    border: 0.5em solid lightgray;
    border-radius: 50%;
    border-top: 0.5em solid gray;
    width: 3em;
    height: 3em;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    opacity: 1;
    pointer-events: none;
    transition: opacity 1s;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#content {
    display: flex;
    flex-direction: column;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 1s;
}

h1 {
    margin: 0;
}

p {
    margin-top: 0;
}

label {
    font-size: 0.9em;
}

span {
    text-align: center;
}

.title {
    font-size: 2.5em;
}

.subtitle {
    font-size: 0.6em;
    margin-top: -10px;
    font-style: italic;
    opacity: 0.8;
}

#input-link {
    padding: 5px 8px;
    border: 0;
    outline: 0;
    border-bottom: 2px solid darkgray;
    border-radius: 10px;
    margin: 10px 0;
    font-size: 16px;
    background-color: rgb(230, 230, 230);
}

#output-link-container {
    margin: 10px 0 0 0;
    text-align: center;
}

#output-link {
    color: rgb(50, 100, 255);
    word-break: break-all;
}

#output-ratio {
    transition: color 0.5s;
    color: gray;
    user-select: none;
}

#qrcode {
    display: none;
}

#qr-correct-level-container {
    display: none;
}

#query-warning {
    display: none;
    font-size: 1rem;
    text-align: justify;
    text-align-last: center;
    max-width: 80vmin;
    background-color: gold;
    padding: 5px 10px;
    border-radius: 10px;
    margin: 5px 0 15px 0;
}

#query-warning summary {
    cursor: pointer;
}